# CreateItemClassifications

Add classifications to an item.

`POST /api/v2/companies/{companyId}/items/{itemId}/classifications`

**API:** AvaTax API
**Tag:** Items
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Content-Type:** `application/json`
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/crossborder/api/methods/Items/CreateItemClassifications/

## Description

Add classifications to an item.
            
A classification is the code for a product in a particular tax system. Classifications enable an item to be used in multiple tax systems which may have different tax rates for a product.
            
When an item is used in a transaction, the applicable classification will be used to determine the appropriate tax rate.
            
An item may only have one classification per tax system.

### Security Policies

* This API requires one of the following user roles: AccountAdmin, AccountOperator, AvaTaxOnlyAccountAdmin, AvaTaxOnlyCompanyAdmin, BatchServiceAdmin, CompanyAdmin, CSPTester, SSTAdmin, TechnicalSupportAdmin.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `companyId` | integer | path | Yes | The company id. |
| `itemId` | integer | path | Yes | The item id. |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Request Body

**Schema:** `ItemClassificationInputModel[]`

Product classification input model.

| Property | Type | Required | Description |
|---|---|---|---|
| `productCode` | string | **Yes** | The product code of an item in a given system. Example: `9011900000`. |
| `systemCode` | string | No | The system code in which the product belongs. Example: `TARIC`. |
| `country` | string | No | The country associated with the product. Example: `DE`. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 201 | Created |  |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |
| 404 | Not Found |  |

## Example Request

```bash
curl -X POST "https://sandbox-rest.avatax.com/api/v2/companies/{companyId}/items/{itemId}/classifications" \
  -H "Authorization: Basic <credentials>" \
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
  -d '[
  {
    "productCode": "9011900000",
    "systemCode": "TARIC",
    "country": "DE"
  }
]'
```